﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Dialog.Master" AutoEventWireup="false" CodeBehind="AddMembers.aspx.cs" Inherits="CheckboxWeb.Users.Groups.AddMembers" %>
<%@ MasterType VirtualPath="~/Dialog.Master" %>
<%@ Import Namespace="Checkbox.Management" %>
<%@ Import Namespace="Checkbox.Web" %>
<%@ Register Src="~/Controls/Grid.ascx" TagPrefix="ckbx" TagName="Grid" %>

<asp:Content ID="_head" ContentPlaceHolderID="_headContent" runat="server">
    <script language="javascript" type="text/javascript">
        var _liveSearch;

        function ShowAlert(text) {
            return confirm(text); 
        }

        $(document).ready(function() {
            //Init status
            statusControl.initialize('statusDiv');

            $('#<%=_okBtn.ClientID %>').attr('href', '#');
            $('#<%=_cancelBtn.ClientID %>').attr('href', '#');

            //Add users
            $('#<%=_okBtn.ClientID %>').click(function(){
                addSelectedUsersToGroup();
            });

            //Close users
            $('#<%=_cancelBtn.ClientID %>').click(function(){
                closeWindow(window.top.onDialogClosed);
            });

            $(document).on('click', '#_selectAllUsers', function(){
                if ($(this).prop('checked')) {
                    $('.addUser').prop('checked', true);
                } else {
                    $('.addUser').prop('checked', false);
                }
                $.uniform.update('.addUser');
            });

            _liveSearch = new LiveSearchObj('notInGroupMembers', 'usersNotInGroup');
        });
        
        //Load users
        function <%=ID %>loadAvailableGridAjax(currentPage, sortField, sortAscending, filterField, filterValue, loadCompleteCallback, loadCompleteArgs ){
            svcUserManagement.listUsersNotInGroup(
                _at,
                <%=Group.ID %>,
                {
                    pageNumber:currentPage,
                    pageSize:<%=ApplicationManager.AppSettings.PagingResultsPerPage %>,
                    sortField: sortField,
                    sortAscending: sortAscending,
                    filterField: '',
                    filterValue: filterValue
                },
                loadCompleteCallback,
                loadCompleteArgs);
        }

        //Add users
        function addSelectedUsersToGroup(){
            var userArray = new Array();

            $('.addUser:checked').each(function(index){
                userArray.push($(this).attr('value').replace(/'/g, "&#39;"));
            });

            if (userArray.length > 0){
                 svcUserManagement.addUsersToGroup(
                    _at,
                    <%=Group.ID %>,
                    userArray,
                    function(){
                        statusControl.showStatusMessage(
                            '<%=WebTextManager.GetText("/pageText/Users/groups/addMembers.aspx/usersAdded") %>',
                            StatusMessageType.success);

                        //Reload grid
                        <%=_availableUsersGrid.ReloadGridHandler %>(false);
                    }
                );
            }
        }

    </script>
</asp:Content>
<asp:Content ID="_page" ContentPlaceHolderID="_pageContent" runat="server">
    <div class="padding10">
        <div id="statusDiv" style="display:none;"></div>
        
        <div class="centerContent" style="width:510px;">
            <div class="right padding10 groupMembersFilter" id="notInGroupMembers">
                <asp:TextBox runat="server" Width="150px" autocomplete="off" />
                <ckbx:MultiLanguageImageButton runat="server" CssClass="liveSearch-applyBtn" SkinID="ACLFilterOn" ToolTipTextId="/controlText/grantAccessControl.ascx/filterOnTip" />
                <ckbx:MultiLanguageImageButton runat="server" CssClass="liveSearch-cancelBtn" SkinID="ACLFilterOff" ToolTipTextId="/controlText/grantAccessControl.ascx/filterOffTip" />
            </div>
            <br class="clear" />

            <ckbx:Grid ID="_availableUsersGrid" runat="server" GridCssClass="ckbxAddGroupMembersGrid" />
        </div>
    </div>

    <div class="WizardNavContainer">
        <hr />
        <btn:CheckboxButton runat="server" ID="_cancelBtn" TextId="/pageText/users/groups/addMembers.aspx/closeWindow" CausesValidation="false" CssClass="cancelButton left" />
        <btn:CheckboxButton runat="server" ID="_okBtn" TextId="/pageText/users/groups/addMembers.aspx/addSelected" CssClass="right ckbxButton roundedCorners border999 shadow999 silverButton" />
    </div>
</asp:Content> 


